> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Column

> Update a column



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi put /column/{id}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /column/{id}:
    put:
      tags:
        - Columns
      summary: Update Column
      description: Update a column
      operationId: updateColumn
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                icon:
                  type: string
                  nullable: true
                color:
                  type: string
                  nullable: true
                isFinal:
                  type: boolean
      responses:
        '200':
          description: Column updated successfully
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````